# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class QueryKeysRequest(JDCloudRequest):
    """
    查询key列表
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(QueryKeysRequest, self).__init__(
            '/regions/{regionId}/kms', 'GET', header, version)
        self.parameters = parameters


class QueryKeysParameters(object):

    def __init__(self, regionId, ):
        """
        :param regionId: 地域ID
        """

        self.regionId = regionId
        self.pageNumber = None
        self.pageSize = None
        self.orderBy = None
        self.userType = None
        self.keyId = None

    def setPageNumber(self, pageNumber):
        """
        :param pageNumber: (Optional) 页码, 默认为1, 取值范围：[1,∞)
        """
        self.pageNumber = pageNumber

    def setPageSize(self, pageSize):
        """
        :param pageSize: (Optional) 分页大小，默认为20，取值范围：[10,100]
        """
        self.pageSize = pageSize

    def setOrderBy(self, orderBy):
        """
        :param orderBy: (Optional) 排序类型
        """
        self.orderBy = orderBy

    def setUserType(self, userType):
        """
        :param userType: (Optional) 用户类型
        """
        self.userType = userType

    def setKeyId(self, keyId):
        """
        :param keyId: (Optional) 密钥Id
        """
        self.keyId = keyId

