# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class QueryInstanceRequest(JDCloudRequest):
    """
    查询用户实例
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(QueryInstanceRequest, self).__init__(
            '/regions/{regionId}/instances:query', 'POST', header, version)
        self.parameters = parameters


class QueryInstanceParameters(object):

    def __init__(self, regionId,):
        """
        :param regionId: 地域代码，取值范围参见[《各地域及可用区对照表》](../Enum-Definitions/Regions-AZ.md)
        """

        self.regionId = regionId
        self.instanceQueryTypeEnum = None
        self.instanceStatus = None
        self.dbInfoEnum = None
        self.pageNumber = None
        self.pageSize = None
        self.uniqId = None
        self.dbName = None

    def setInstanceQueryTypeEnum(self, instanceQueryTypeEnum):
        """
        :param instanceQueryTypeEnum: (Optional) 查询分类方式：LOGIN_STATUS，DB_TYPE。
        """
        self.instanceQueryTypeEnum = instanceQueryTypeEnum

    def setInstanceStatus(self, instanceStatus):
        """
        :param instanceStatus: (Optional) 实例状态，参见[枚举参数定义](../Enum-Definitions/Enum-Definitions.md)。
        """
        self.instanceStatus = instanceStatus

    def setDbInfoEnum(self, dbInfoEnum):
        """
        :param dbInfoEnum: (Optional) 数据库类型：MYSQL_INS，DRDS_INS
        """
        self.dbInfoEnum = dbInfoEnum

    def setPageNumber(self, pageNumber):
        """
        :param pageNumber: (Optional) 显示数据的页码，取值范围：[1,∞)。pageNumber为Null时，返回所有数据页码；超过总页数时，无数据。
        """
        self.pageNumber = pageNumber

    def setPageSize(self, pageSize):
        """
        :param pageSize: (Optional) 每页显示的数据条数，用于查询列表的接口。
        """
        self.pageSize = pageSize

    def setUniqId(self, uniqId):
        """
        :param uniqId: (Optional) 实例Id。
        """
        self.uniqId = uniqId

    def setDbName(self, dbName):
        """
        :param dbName: (Optional) 打开数据库名称。
        """
        self.dbName = dbName

