# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class RetryRecurseRequest(JDCloudRequest):
    """
    解析失败后，尝试递归解析开关

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(RetryRecurseRequest, self).__init__(
            '/regions/{regionId}/zone/{zoneId}:retryRecurse', 'PUT', header, version)
        self.parameters = parameters


class RetryRecurseParameters(object):

    def __init__(self, regionId, zoneId, retryRecurse):
        """
        :param regionId: 地域ID
        :param zoneId: zone id
        :param retryRecurse: true->解析失败后尝试递归解析 false->解析失败后不进行递归解析
        """

        self.regionId = regionId
        self.zoneId = zoneId
        self.retryRecurse = retryRecurse

