# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class ListFirewallPackagesRequest(JDCloudRequest):
    """
    检索域的防火墙包
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(ListFirewallPackagesRequest, self).__init__(
            '/zones/{zone_identifier}/firewall$$waf$$packages', 'GET', header, version)
        self.parameters = parameters


class ListFirewallPackagesParameters(object):

    def __init__(self, zone_identifier, ):
        """
        :param zone_identifier: 
        """

        self.zone_identifier = zone_identifier
        self.name = None
        self.page = None
        self.per_page = None
        self.order = None
        self.direction = None
        self.match = None

    def setName(self, name):
        """
        :param name: (Optional) Name of the firewall package
        """
        self.name = name

    def setPage(self, page):
        """
        :param page: (Optional) Page number of paginated results
        """
        self.page = page

    def setPer_page(self, per_page):
        """
        :param per_page: (Optional) 每页的包数
        """
        self.per_page = per_page

    def setOrder(self, order):
        """
        :param order: (Optional) 按字段对包排序
        """
        self.order = order

    def setDirection(self, direction):
        """
        :param direction: (Optional) asc - 升序；desc - 降序
        """
        self.direction = direction

    def setMatch(self, match):
        """
        :param match: (Optional) 是否匹配所有搜索要求或至少一个（任何）
        """
        self.match = match

